AOZ Studio Beta - Bug #769

Audio Loop on
06/05/2021 10:01 PM - malcolm harvey

Status: Closed Start date: 06/06/2021
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B8)

Description

Audio loop on seams it did work on V7 but now broken in V8.
Note: Also Sam loop on also previously does not seam to be working either same issue, does not loop in any prior version.

History

#1 - 06/06/2021 11:18 AM - malcolm harvey

re: Just checked again the below three commands definitely something changed between versions..V7 (ok) V8 (nope).
Play Audio "music" & Audio Loop On "music" and Stop Audio "music"

//actor "magician",Image$="magic.png",X=200,Y=200,vrev=True
print "Loading..."

wait key

Load Asset "resources/assets/100.mp3","music"
Play Audio "music"

Audio Loop On "music"

print "loaded.."

//wait 100

wait Key

print "playing"

wait key

Stop Audio "music"

/lprint "Stopped"

wait Key

end

#2 - 06/06/2021 11:57 AM - malcolm harvey

Note: Again, the below works and plays, but the Audio Loop on "music" and Stop Audio "music does not do anything in V8.
Load Asset "100.mp3","music"
Play Audio "music"

#3 - 06/07/2021 09:06 PM - malcolm harvey

This ticket also references ticket Sam Loop on issue from paul Bug #581

#4 - 06/25/2021 10:52 AM - malcolm harvey

- Status changed from New to Closed

Audio Loop On "music1" and Stop Audio "music" now working in latest update to V1.0.0 Beta8
Closed.
